// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.23.0
// 	protoc        v3.14.0
// source: modelconverter.proto

package modelconverter

import (
	context "context"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type ConvertModelRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	GlbFileSource string `protobuf:"bytes,1,opt,name=glb_file_source,json=glbFileSource,proto3" json:"glb_file_source,omitempty"`
}

func (x *ConvertModelRequest) Reset() {
	*x = ConvertModelRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_modelconverter_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ConvertModelRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ConvertModelRequest) ProtoMessage() {}

func (x *ConvertModelRequest) ProtoReflect() protoreflect.Message {
	mi := &file_modelconverter_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ConvertModelRequest.ProtoReflect.Descriptor instead.
func (*ConvertModelRequest) Descriptor() ([]byte, []int) {
	return file_modelconverter_proto_rawDescGZIP(), []int{0}
}

func (x *ConvertModelRequest) GetGlbFileSource() string {
	if x != nil {
		return x.GlbFileSource
	}
	return ""
}

type ConvertModelResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	UsdzFileSource string `protobuf:"bytes,1,opt,name=usdz_file_source,json=usdzFileSource,proto3" json:"usdz_file_source,omitempty"`
}

func (x *ConvertModelResponse) Reset() {
	*x = ConvertModelResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_modelconverter_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ConvertModelResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ConvertModelResponse) ProtoMessage() {}

func (x *ConvertModelResponse) ProtoReflect() protoreflect.Message {
	mi := &file_modelconverter_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ConvertModelResponse.ProtoReflect.Descriptor instead.
func (*ConvertModelResponse) Descriptor() ([]byte, []int) {
	return file_modelconverter_proto_rawDescGZIP(), []int{1}
}

func (x *ConvertModelResponse) GetUsdzFileSource() string {
	if x != nil {
		return x.UsdzFileSource
	}
	return ""
}

var File_modelconverter_proto protoreflect.FileDescriptor

var file_modelconverter_proto_rawDesc = []byte{
	0x0a, 0x14, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x65, 0x72,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0e, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x63, 0x6f, 0x6e,
	0x76, 0x65, 0x72, 0x74, 0x65, 0x72, 0x22, 0x3d, 0x0a, 0x13, 0x43, 0x6f, 0x6e, 0x76, 0x65, 0x72,
	0x74, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x26, 0x0a,
	0x0f, 0x67, 0x6c, 0x62, 0x5f, 0x66, 0x69, 0x6c, 0x65, 0x5f, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x67, 0x6c, 0x62, 0x46, 0x69, 0x6c, 0x65, 0x53,
	0x6f, 0x75, 0x72, 0x63, 0x65, 0x22, 0x40, 0x0a, 0x14, 0x43, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74,
	0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x28, 0x0a,
	0x10, 0x75, 0x73, 0x64, 0x7a, 0x5f, 0x66, 0x69, 0x6c, 0x65, 0x5f, 0x73, 0x6f, 0x75, 0x72, 0x63,
	0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x75, 0x73, 0x64, 0x7a, 0x46, 0x69, 0x6c,
	0x65, 0x53, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x32, 0x6b, 0x0a, 0x0e, 0x6d, 0x6f, 0x64, 0x65, 0x6c,
	0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x65, 0x72, 0x12, 0x59, 0x0a, 0x0c, 0x43, 0x6f, 0x6e,
	0x76, 0x65, 0x72, 0x74, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x12, 0x23, 0x2e, 0x6d, 0x6f, 0x64, 0x65,
	0x6c, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x65, 0x72, 0x2e, 0x43, 0x6f, 0x6e, 0x76, 0x65,
	0x72, 0x74, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x24,
	0x2e, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x65, 0x72, 0x2e,
	0x43, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_modelconverter_proto_rawDescOnce sync.Once
	file_modelconverter_proto_rawDescData = file_modelconverter_proto_rawDesc
)

func file_modelconverter_proto_rawDescGZIP() []byte {
	file_modelconverter_proto_rawDescOnce.Do(func() {
		file_modelconverter_proto_rawDescData = protoimpl.X.CompressGZIP(file_modelconverter_proto_rawDescData)
	})
	return file_modelconverter_proto_rawDescData
}

var file_modelconverter_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_modelconverter_proto_goTypes = []interface{}{
	(*ConvertModelRequest)(nil),  // 0: modelconverter.ConvertModelRequest
	(*ConvertModelResponse)(nil), // 1: modelconverter.ConvertModelResponse
}
var file_modelconverter_proto_depIdxs = []int32{
	0, // 0: modelconverter.modelconverter.ConvertModel:input_type -> modelconverter.ConvertModelRequest
	1, // 1: modelconverter.modelconverter.ConvertModel:output_type -> modelconverter.ConvertModelResponse
	1, // [1:2] is the sub-list for method output_type
	0, // [0:1] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_modelconverter_proto_init() }
func file_modelconverter_proto_init() {
	if File_modelconverter_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_modelconverter_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ConvertModelRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_modelconverter_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ConvertModelResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_modelconverter_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_modelconverter_proto_goTypes,
		DependencyIndexes: file_modelconverter_proto_depIdxs,
		MessageInfos:      file_modelconverter_proto_msgTypes,
	}.Build()
	File_modelconverter_proto = out.File
	file_modelconverter_proto_rawDesc = nil
	file_modelconverter_proto_goTypes = nil
	file_modelconverter_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// ModelconverterClient is the client API for Modelconverter service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type ModelconverterClient interface {
	ConvertModel(ctx context.Context, in *ConvertModelRequest, opts ...grpc.CallOption) (*ConvertModelResponse, error)
}

type modelconverterClient struct {
	cc grpc.ClientConnInterface
}

func NewModelconverterClient(cc grpc.ClientConnInterface) ModelconverterClient {
	return &modelconverterClient{cc}
}

func (c *modelconverterClient) ConvertModel(ctx context.Context, in *ConvertModelRequest, opts ...grpc.CallOption) (*ConvertModelResponse, error) {
	out := new(ConvertModelResponse)
	err := c.cc.Invoke(ctx, "/modelconverter.modelconverter/ConvertModel", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// ModelconverterServer is the server API for Modelconverter service.
type ModelconverterServer interface {
	ConvertModel(context.Context, *ConvertModelRequest) (*ConvertModelResponse, error)
}

// UnimplementedModelconverterServer can be embedded to have forward compatible implementations.
type UnimplementedModelconverterServer struct {
}

func (*UnimplementedModelconverterServer) ConvertModel(context.Context, *ConvertModelRequest) (*ConvertModelResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ConvertModel not implemented")
}

func RegisterModelconverterServer(s *grpc.Server, srv ModelconverterServer) {
	s.RegisterService(&_Modelconverter_serviceDesc, srv)
}

func _Modelconverter_ConvertModel_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ConvertModelRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ModelconverterServer).ConvertModel(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/modelconverter.modelconverter/ConvertModel",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ModelconverterServer).ConvertModel(ctx, req.(*ConvertModelRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Modelconverter_serviceDesc = grpc.ServiceDesc{
	ServiceName: "modelconverter.modelconverter",
	HandlerType: (*ModelconverterServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "ConvertModel",
			Handler:    _Modelconverter_ConvertModel_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "modelconverter.proto",
}
